#include "board.h"

extern void  red();
extern void  green();
extern void  both();
extern void led_init();

void  pause(long);

int main()
{
	float time;
	
	unilib_init();

	clock_config(CLOCK_SETTING);

	led_init();
	both();

	time=MAXTIME;

	while(1)
	{
		green();
		pause((long)time);
		red();
		pause((long)time);
		time=time*0.8;
		if(time < 100) time=MAXTIME;
	}
}

void pause(long ptime)
{
	int i;
	for(i=0;i<PCYCLES;i++)
	{
		unilib_pause(ptime);
	}
}
